Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.jena
Class PelletReasoner

    java.lang.Object
      org.mindswap.pellet.jena.PelletReasoner

All Implemented Interfaces:
  com.hp.hpl.jena.reasoner.Reasoner

    public class PelletReasoner

extends java.lang.Object
implements com.hp.hpl.jena.reasoner.Reasoner

Author:
  Evren Sirin

Constructor Summary
`PelletReasoner()`
`PelletReasoner(com.hp.hpl.jena.graph.Graph schema, PelletReasonerFactory factory)`
`PelletReasoner(PelletReasonerFactory factory)`

Method Summary
`void` | `addDescription(com.hp.hpl.jena.rdf.model.Model arg0, com.hp.hpl.jena.rdf.model.Resource arg1)`
`com.hp.hpl.jena.reasoner.InfGraph` | `bind(com.hp.hpl.jena.graph.Graph graph)`
`com.hp.hpl.jena.rdf.model.InfModel` | `bind(com.hp.hpl.jena.rdf.model.Model model)`
`com.hp.hpl.jena.reasoner.Reasoner` | `bindSchema(com.hp.hpl.jena.graph.Graph graph)`
`com.hp.hpl.jena.reasoner.Reasoner` | `bindSchema(com.hp.hpl.jena.rdf.model.Model model)`
`com.hp.hpl.jena.graph.Capabilities` | `getGraphCapabilities()`
`com.hp.hpl.jena.rdf.model.Model` | `getReasonerCapabilities()`
`com.hp.hpl.jena.graph.Graph` | `getSchema()`
`void` | `setDerivationLogging(boolean enable)`
`void` | `setParameter(com.hp.hpl.jena.rdf.model.Property arg0, java.lang.Object arg1)`
`boolean` | `supportsProperty(com.hp.hpl.jena.rdf.model.Property property)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PelletReasoner

    public PelletReasoner()

### PelletReasoner

    public PelletReasoner(PelletReasonerFactory factory)

### PelletReasoner

    public PelletReasoner(com.hp.hpl.jena.graph.Graph schema,
                          PelletReasonerFactory factory)

Method Detail

### getSchema

    public com.hp.hpl.jena.graph.Graph getSchema()

### bindSchema

    public com.hp.hpl.jena.reasoner.Reasoner bindSchema(com.hp.hpl.jena.graph.Graph graph)
                                                 throws com.hp.hpl.jena.reasoner.ReasonerException

  Specified by:
    `bindSchema` in interface `com.hp.hpl.jena.reasoner.Reasoner`
  Throws:
    `com.hp.hpl.jena.reasoner.ReasonerException`

### bindSchema

    public com.hp.hpl.jena.reasoner.Reasoner bindSchema(com.hp.hpl.jena.rdf.model.Model model)
                                                 throws com.hp.hpl.jena.reasoner.ReasonerException

  Specified by:
    `bindSchema` in interface `com.hp.hpl.jena.reasoner.Reasoner`
  Throws:
    `com.hp.hpl.jena.reasoner.ReasonerException`

### bind

    public com.hp.hpl.jena.reasoner.InfGraph bind(com.hp.hpl.jena.graph.Graph graph)
                                           throws com.hp.hpl.jena.reasoner.ReasonerException

  Specified by:
    `bind` in interface `com.hp.hpl.jena.reasoner.Reasoner`
  Throws:
    `com.hp.hpl.jena.reasoner.ReasonerException`

### bind

    public com.hp.hpl.jena.rdf.model.InfModel bind(com.hp.hpl.jena.rdf.model.Model model)
                                            throws com.hp.hpl.jena.reasoner.ReasonerException

  Throws:
    `com.hp.hpl.jena.reasoner.ReasonerException`

### setDerivationLogging

    public void setDerivationLogging(boolean enable)

  Specified by:
    `setDerivationLogging` in interface `com.hp.hpl.jena.reasoner.Reasoner`

### setParameter

    public void setParameter(com.hp.hpl.jena.rdf.model.Property arg0,
                             java.lang.Object arg1)

  Specified by:
    `setParameter` in interface `com.hp.hpl.jena.reasoner.Reasoner`

### getReasonerCapabilities

    public com.hp.hpl.jena.rdf.model.Model getReasonerCapabilities()

  Specified by:
    `getReasonerCapabilities` in interface `com.hp.hpl.jena.reasoner.Reasoner`

### getGraphCapabilities

    public com.hp.hpl.jena.graph.Capabilities getGraphCapabilities()

  Specified by:
    `getGraphCapabilities` in interface `com.hp.hpl.jena.reasoner.Reasoner`

### addDescription

    public void addDescription(com.hp.hpl.jena.rdf.model.Model arg0,
                               com.hp.hpl.jena.rdf.model.Resource arg1)

  Specified by:
    `addDescription` in interface `com.hp.hpl.jena.reasoner.Reasoner`

### supportsProperty

    public boolean supportsProperty(com.hp.hpl.jena.rdf.model.Property property)

  Specified by:
    `supportsProperty` in interface `com.hp.hpl.jena.reasoner.Reasoner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.